# PluginCodec_VideoFormat< NAME > Class Template Reference

`#include <opalplugin.hpp>`

Inheritance diagram for PluginCodec_VideoFormat< NAME >:

[legend]
Collaboration diagram for PluginCodec_VideoFormat< NAME >:
[legend]

## Public Types

typedef PluginCodec_MediaFormat< NAME > | Parent
typedef Parent::OptionsTable | OptionsTable

## Public Member Functions

| PluginCodec_VideoFormat (const char *formatName, const char *payloadName, const char *description, unsigned maxBandwidth, OptionsTable options)
__inline unsigned | GetMaxWidth () const
__inline unsigned | GetMaxHeight () const

## Protected Attributes

unsigned | m_maxWidth
unsigned | m_maxHeight

### template<typename NAME>
class PluginCodec_VideoFormat< NAME >

## Member Typedef Documentation

template<typename NAME>

typedef Parent::OptionsTable PluginCodec_VideoFormat< NAME >::OptionsTable

Reimplemented from PluginCodec_MediaFormat< NAME >.

template<typename NAME>

typedef PluginCodec_MediaFormat<NAME> PluginCodec_VideoFormat< NAME >::Parent

## Constructor & Destructor Documentation

template<typename NAME>

PluginCodec_VideoFormat< NAME >::PluginCodec_VideoFormat | ( | const char * | formatName,
|  | const char * | payloadName,
|  | const char * | description,
|  | unsigned | maxBandwidth,
|  | OptionsTable | options |
| ) |  |  | `[inline]`

## Member Function Documentation

template<typename NAME>

__inline unsigned PluginCodec_VideoFormat< NAME >::GetMaxHeight | ( |  | ) | const`[inline]`

template<typename NAME>

__inline unsigned PluginCodec_VideoFormat< NAME >::GetMaxWidth | ( |  | ) | const`[inline]`

## Field Documentation

template<typename NAME>

unsigned PluginCodec_VideoFormat< NAME >::m_maxHeight `[protected]`

template<typename NAME>

unsigned PluginCodec_VideoFormat< NAME >::m_maxWidth `[protected]`

The documentation for this class was generated from the following file:

- opalplugin.hpp